import React from 'react';
import { ErrorBoundaryPropsWithComponent, ErrorBoundaryPropsWithFallback, ErrorBoundaryPropsWithRender, FallbackProps } from 'react-error-boundary';
declare let DefaultFallback: (props: FallbackProps) => JSX.Element;
/**
 * @see https://www.npmjs.com/package/react-error-boundary
 */
declare type MakePartial<T, K extends keyof T> = Omit<T, K> & Partial<Pick<T, K>>;
declare type ErrorBoundaryProps = ErrorBoundaryPropsWithFallback | ErrorBoundaryPropsWithRender | MakePartial<ErrorBoundaryPropsWithComponent, 'FallbackComponent'>;
declare type CustomErrorBoundaryOptions = {
    logCaughtErrors?: boolean;
    allowDevErrorOverlay?: boolean;
};
export declare function ErrorBoundary(props: ErrorBoundaryProps & CustomErrorBoundaryOptions & {
    children: React.ReactNode;
}): JSX.Element | null;
export declare function setDefaultErrorBoundaryFallback(component: typeof DefaultFallback): void;
export declare function setDefaultErrorBoundaryOptions(defaults: CustomErrorBoundaryOptions): void;
export {};
